com.amazonaws.services.machinelearning.model

## Class CreateDataSourceFromRDSResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.machinelearning.model.CreateDataSourceFromRDSResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class CreateDataSourceFromRDSResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of a `CreateDataSourceFromRDS` operation, and is an acknowledgement that Amazon ML received the request.

The `CreateDataSourceFromRDS`> operation is asynchronous. You can poll for updates by using the `GetBatchPrediction` operation and checking the `Status` parameter. You can inspect the `Message` when `Status` shows up as `FAILED`. You can also check the progress of the copy operation by going to the `DataPipeline` console and looking up the pipeline using the `pipelineId` from the describe call.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CreateDataSourceFromRDSResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CreateDataSourceFromRDSResult` `clone()`
`boolean` `equals(Object obj)`
`String` `getDataSourceId()` A user-supplied ID that uniquely identifies the datasource.
`int` `hashCode()`
`void` `setDataSourceId(String dataSourceId)` A user-supplied ID that uniquely identifies the datasource.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateDataSourceFromRDSResult` `withDataSourceId(String dataSourceId)` A user-supplied ID that uniquely identifies the datasource.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreateDataSourceFromRDSResult

    public CreateDataSourceFromRDSResult()

### Method Detail

#### setDataSourceId

    public void setDataSourceId(String dataSourceId)

A user-supplied ID that uniquely identifies the datasource. This value should be identical to the value of the `DataSourceID` in the request.

Parameters:
  `dataSourceId` - A user-supplied ID that uniquely identifies the datasource. This value should be identical to the value of the `DataSourceID` in the request.

#### getDataSourceId

    public String getDataSourceId()

A user-supplied ID that uniquely identifies the datasource. This value should be identical to the value of the `DataSourceID` in the request.

Returns:
  A user-supplied ID that uniquely identifies the datasource. This value should be identical to the value of the `DataSourceID` in the request.

#### withDataSourceId

    public CreateDataSourceFromRDSResult withDataSourceId(String dataSourceId)

A user-supplied ID that uniquely identifies the datasource. This value should be identical to the value of the `DataSourceID` in the request.

Parameters:
  `dataSourceId` - A user-supplied ID that uniquely identifies the datasource. This value should be identical to the value of the `DataSourceID` in the request.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CreateDataSourceFromRDSResult clone()

Overrides:
  `clone` in class `Object`